%define major 1
%define libname %mklibname xcursor %{major}
%define develname %mklibname xcursor -d

Name: libxcursor
Summary:  X Cursor Library
Version: 1.2.2
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXcursor-%{version}.tar.xz

BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xfixes) >= 3.0.1.2
BuildRequires: pkgconfig(xrender) >= 0.9.0.2
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X Cursor Library.

#-----------------------------------------------------------

%package -n %{libname}
Summary:  X Cursor Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libname}
X Cursor Library.

%files -n %{libname}
%{_libdir}/libXcursor.so.%{major}
%{_libdir}/libXcursor.so.%{major}.*

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}xcursor-static-devel < 1.1.14-2

%description -n %{develname}
Development files for %{name}.

%files -n %{develname}
%{_libdir}/libXcursor.so
%{_libdir}/pkgconfig/xcursor.pc
%{_includedir}/X11/Xcursor/Xcursor.h
%{_mandir}/man3/*

#-----------------------------------------------------------

%prep
%setup -q -n libXcursor-%{version}

%build
%configure2_5x	--disable-static
%make

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete


%changelog
* Sun Mar 03 2024 tex - 1.2.2-1pclos2024
- new version

* Wed Apr 27 2022 tex - 1.2.1-1pclos2022
- new version

* Wed Jan 26 2022 tex - 1.2.0-5pclos2022
- rebuild against updates

* Thu Jun 24 2021 tex - 1.2.0-4pclos2021
- rebuild against updates

* Sun Mar 31 2019 tex - 1.2.0-3pclos2019
- rebuild against updates

* Thu Mar 21 2019 tex - 1.2.0-2pclos2019
- rebuild against updates

* Mon Mar 11 2019 tex 1.2.0-1pclos2019
- new
